var doc = app.activeDocument; // イラレ：アクティブなドキュメント
var sel = doc.selection; // イラレ：選択オブジェクト（配列）

if (sel.length > 0) { // 選択オブジェクトが1つ以上なら
	// 丸め処理
	function roundToStep(value, step) {
		return Math.round(value / step) * step;
	}
	// 変数
	var round = 1.0; // 丸め値（単位は気にしない）
	var isMM = (doc.rulerUnits == RulerUnits.Millimeters); // イラレの定規単位がmmかどうか
	var unit = isMM ? 2.834645 : 1; // イラレの定規単位でスイッチ（2.834645 = 1mm / 1 = 1pt の意味）

	// オブジェクトが1つ以上あるか
	for (var i = 0; i < sel.length; i++) {
		var obj = sel[i];

		// イラレの座標を取得（pt単位）
		var x = obj.position[0];
		var y = obj.position[1];

		// 指定の「丸め値」かつ「イラレのルーラー単位」で丸める
		x = roundToStep(x, round * unit); // 丸めたX座標
		y = roundToStep(y, round * unit); // 丸めたY座標

		// イラレの座標を変更
		obj.position = [x, y];
	}
} else {
	alert("オブジェクトを選択してください。");
}